// Code generated by MockGen. DO NOT EDIT.
// Source: restore_grpc.pb.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	v1 "gitlab.com/infranetes/backup/proto/gen/infranetes/user/v1"
	grpc "google.golang.org/grpc"
)

// MockRestoreServiceClient is a mock of RestoreServiceClient interface.
type MockRestoreServiceClient struct {
	ctrl     *gomock.Controller
	recorder *MockRestoreServiceClientMockRecorder
}

// MockRestoreServiceClientMockRecorder is the mock recorder for MockRestoreServiceClient.
type MockRestoreServiceClientMockRecorder struct {
	mock *MockRestoreServiceClient
}

// NewMockRestoreServiceClient creates a new mock instance.
func NewMockRestoreServiceClient(ctrl *gomock.Controller) *MockRestoreServiceClient {
	mock := &MockRestoreServiceClient{ctrl: ctrl}
	mock.recorder = &MockRestoreServiceClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockRestoreServiceClient) EXPECT() *MockRestoreServiceClientMockRecorder {
	return m.recorder
}

// CreateRestore mocks base method.
func (m *MockRestoreServiceClient) CreateRestore(ctx context.Context, in *v1.CreateRestoreRequest, opts ...grpc.CallOption) (*v1.CreateRestoreResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "CreateRestore", varargs...)
	ret0, _ := ret[0].(*v1.CreateRestoreResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateRestore indicates an expected call of CreateRestore.
func (mr *MockRestoreServiceClientMockRecorder) CreateRestore(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateRestore", reflect.TypeOf((*MockRestoreServiceClient)(nil).CreateRestore), varargs...)
}

// GetRestoreById mocks base method.
func (m *MockRestoreServiceClient) GetRestoreById(ctx context.Context, in *v1.GetRestoreByIdRequest, opts ...grpc.CallOption) (*v1.GetRestoreByIdResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetRestoreById", varargs...)
	ret0, _ := ret[0].(*v1.GetRestoreByIdResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetRestoreById indicates an expected call of GetRestoreById.
func (mr *MockRestoreServiceClientMockRecorder) GetRestoreById(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetRestoreById", reflect.TypeOf((*MockRestoreServiceClient)(nil).GetRestoreById), varargs...)
}

// GetRestores mocks base method.
func (m *MockRestoreServiceClient) GetRestores(ctx context.Context, in *v1.GetRestoresRequest, opts ...grpc.CallOption) (*v1.GetRestoresResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetRestores", varargs...)
	ret0, _ := ret[0].(*v1.GetRestoresResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetRestores indicates an expected call of GetRestores.
func (mr *MockRestoreServiceClientMockRecorder) GetRestores(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetRestores", reflect.TypeOf((*MockRestoreServiceClient)(nil).GetRestores), varargs...)
}

// MockRestoreServiceServer is a mock of RestoreServiceServer interface.
type MockRestoreServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockRestoreServiceServerMockRecorder
}

// MockRestoreServiceServerMockRecorder is the mock recorder for MockRestoreServiceServer.
type MockRestoreServiceServerMockRecorder struct {
	mock *MockRestoreServiceServer
}

// NewMockRestoreServiceServer creates a new mock instance.
func NewMockRestoreServiceServer(ctrl *gomock.Controller) *MockRestoreServiceServer {
	mock := &MockRestoreServiceServer{ctrl: ctrl}
	mock.recorder = &MockRestoreServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockRestoreServiceServer) EXPECT() *MockRestoreServiceServerMockRecorder {
	return m.recorder
}

// CreateRestore mocks base method.
func (m *MockRestoreServiceServer) CreateRestore(arg0 context.Context, arg1 *v1.CreateRestoreRequest) (*v1.CreateRestoreResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateRestore", arg0, arg1)
	ret0, _ := ret[0].(*v1.CreateRestoreResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateRestore indicates an expected call of CreateRestore.
func (mr *MockRestoreServiceServerMockRecorder) CreateRestore(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateRestore", reflect.TypeOf((*MockRestoreServiceServer)(nil).CreateRestore), arg0, arg1)
}

// GetRestoreById mocks base method.
func (m *MockRestoreServiceServer) GetRestoreById(arg0 context.Context, arg1 *v1.GetRestoreByIdRequest) (*v1.GetRestoreByIdResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetRestoreById", arg0, arg1)
	ret0, _ := ret[0].(*v1.GetRestoreByIdResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetRestoreById indicates an expected call of GetRestoreById.
func (mr *MockRestoreServiceServerMockRecorder) GetRestoreById(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetRestoreById", reflect.TypeOf((*MockRestoreServiceServer)(nil).GetRestoreById), arg0, arg1)
}

// GetRestores mocks base method.
func (m *MockRestoreServiceServer) GetRestores(arg0 context.Context, arg1 *v1.GetRestoresRequest) (*v1.GetRestoresResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetRestores", arg0, arg1)
	ret0, _ := ret[0].(*v1.GetRestoresResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetRestores indicates an expected call of GetRestores.
func (mr *MockRestoreServiceServerMockRecorder) GetRestores(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetRestores", reflect.TypeOf((*MockRestoreServiceServer)(nil).GetRestores), arg0, arg1)
}

// MockUnsafeRestoreServiceServer is a mock of UnsafeRestoreServiceServer interface.
type MockUnsafeRestoreServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockUnsafeRestoreServiceServerMockRecorder
}

// MockUnsafeRestoreServiceServerMockRecorder is the mock recorder for MockUnsafeRestoreServiceServer.
type MockUnsafeRestoreServiceServerMockRecorder struct {
	mock *MockUnsafeRestoreServiceServer
}

// NewMockUnsafeRestoreServiceServer creates a new mock instance.
func NewMockUnsafeRestoreServiceServer(ctrl *gomock.Controller) *MockUnsafeRestoreServiceServer {
	mock := &MockUnsafeRestoreServiceServer{ctrl: ctrl}
	mock.recorder = &MockUnsafeRestoreServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockUnsafeRestoreServiceServer) EXPECT() *MockUnsafeRestoreServiceServerMockRecorder {
	return m.recorder
}

// mustEmbedUnimplementedRestoreServiceServer mocks base method.
func (m *MockUnsafeRestoreServiceServer) mustEmbedUnimplementedRestoreServiceServer() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "mustEmbedUnimplementedRestoreServiceServer")
}

// mustEmbedUnimplementedRestoreServiceServer indicates an expected call of mustEmbedUnimplementedRestoreServiceServer.
func (mr *MockUnsafeRestoreServiceServerMockRecorder) mustEmbedUnimplementedRestoreServiceServer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "mustEmbedUnimplementedRestoreServiceServer", reflect.TypeOf((*MockUnsafeRestoreServiceServer)(nil).mustEmbedUnimplementedRestoreServiceServer))
}
